import { type Parser as CSSParser } from "../../../syntax/index.js";
import * as item from "./item/index.js";
import * as linear from "./linear/index.js";
import * as radial from "./radial/index.js";
/**
 * {@link https://drafts.csswg.org/css-images/#gradients}
 *
 * @public
 */
export type Gradient = Gradient.Linear | Gradient.Radial;
/**
 * @public
 */
export declare namespace Gradient {
    type Canonical = Linear.Canonical | Radial.Canonical;
    type JSON = Linear.JSON | Radial.JSON;
    export import Item = item.Item;
    export import Linear = linear.Linear;
    export import Radial = radial.Radial;
    type Resolver = Linear.Resolver & Radial.Resolver;
    type PartiallyResolved = Linear.PartiallyResolved | Radial.PartiallyResolved;
    type PartialResolver = Linear.PartialResolver & Radial.PartialResolver;
    /**
     * {@link https://drafts.csswg.org/css-images/#typedef-gradient}
     */
    const parse: CSSParser<Gradient>;
}
//# sourceMappingURL=gradient.d.ts.map