import type { Hash } from "@siteimprove/alfa-hash";
import { Parser } from "@siteimprove/alfa-parser";
import { Token } from "../../../../syntax/index.js";
import type { Resolvable } from "../../../resolvable.js";
import { Value } from "../../../value.js";
import { Position } from "./position.js";
/**
 * @internal
 */
export declare class Side extends Value<"side", false> implements Resolvable<Side.Canonical, Side.Resolver> {
    static of(side: Position.Vertical | Position.Horizontal): Side;
    private readonly _side;
    private constructor();
    get side(): Position.Vertical | Position.Horizontal;
    resolve(): Side.Canonical;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Side.JSON;
    toString(): string;
}
/**
 * @internal
 */
export declare namespace Side {
    interface JSON extends Value.JSON<"side"> {
        side: Position.Vertical | Position.Horizontal;
    }
    type Canonical = Side;
    type Resolver = {};
    /**
     * {@link https://drafts.csswg.org/css-images/#typedef-side-or-corner}
     *
     * @internal
     */
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Side, string, []>;
}
//# sourceMappingURL=side.d.ts.map