import type { Hash } from "@siteimprove/alfa-hash";
import { type Parser as CSSParser } from "../../syntax/index.js";
import type { Resolvable } from "../resolvable.js";
import { Value } from "../value.js";
/**
 * {@link https://drafts.csswg.org/css-values/#urls}
 *
 * @public
 */
export declare class URL extends Value<"url", false> implements Resolvable<URL, never> {
    static of(url: string): URL;
    private readonly _url;
    private constructor();
    get url(): string;
    resolve(): URL;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): URL.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace URL {
    type Canonical = URL;
    interface JSON extends Value.JSON<"url"> {
        url: string;
    }
    type Resolver = {};
    function isURL(value: unknown): value is URL;
    /**
     * {@link https://drafts.csswg.org/css-values/#url-value}
     */
    const parse: CSSParser<URL>;
}
//# sourceMappingURL=url.d.ts.map